Module java.base
Package java.util

# Class ServiceConfigurationError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.util.ServiceConfigurationError

All Implemented Interfaces:
  `Serializable`

    public class ServiceConfigurationError
    extends Error

Error thrown when something goes wrong while locating, loading, or instantiating a service provider.

Since:
  1.6
See Also:
  `ServiceLoader`, Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ServiceConfigurationError​(String msg)` | Constructs a new instance with the specified message.
`ServiceConfigurationError​(String msg, Throwable cause)` | Constructs a new instance with the specified message and cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServiceConfigurationError

public ServiceConfigurationError​(String msg)
Constructs a new instance with the specified message.

Parameters:
  `msg` - The message, or `null` if there is no message

### ServiceConfigurationError

public ServiceConfigurationError​(String msg, Throwable cause)
Constructs a new instance with the specified message and cause.

Parameters:
  `msg` - The message, or `null` if there is no message
  `cause` - The cause, or `null` if the cause is nonexistent or unknown